Subject: bug#34852: 26.1; seq-intersection ignores nil as element

From: "Basil L. Contovounesios" <[email-masked]>
Date: Thu, 14 Mar 2019 17:14:13 +0000

Michael Heerdegen <[email-masked]> writes:

> "Basil L. Contovounesios" <[email-masked]> writes:
>
>> Besides, returning the element found isn't particularly useful to
>> begin with, as the caller already has access to that value.
>
> Depends on the TESTFN.  You could use seq-contains as a replacement for
> alist-get, for example, when you make TESTFN look at the sequence's
> car's.  This is more or less the same as using :key in cl-member, so
> people might be doing this and there is some change that we break
> existing code.

Fair enough, though I'd be interested to see an example of such logic
that can't be written in a less contrived way.

Thanks,

-- 
Basil